org.eclipse.jetty.server.handler

## Class ContextHandler.ApproveNonExistentDirectoryAliases

- java.lang.Object
- - org.eclipse.jetty.server.handler.ContextHandler.ApproveNonExistentDirectoryAliases

All Implemented Interfaces:
  ContextHandler.AliasCheck

Enclosing class:
  ContextHandler

    public static class ContextHandler.ApproveNonExistentDirectoryAliases
    extends Object
    implements ContextHandler.AliasCheck

Approve Aliases of a non existent directory. If a directory "/foobar/" does not exist, then the resource is aliased to "/foobar". Accept such aliases.

### Constructor Summary

Constructors
Constructor and Description
`ContextHandler.ApproveNonExistentDirectoryAliases()`

### Method Summary

Methods
`boolean` `check(String path, Resource resource)` Check an alias

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### ContextHandler.ApproveNonExistentDirectoryAliases

    public ContextHandler.ApproveNonExistentDirectoryAliases()

### Method Detail

#### check

    public boolean check(String path,
                Resource resource)

Description copied from interface: `ContextHandler.AliasCheck`
Check an alias

Specified by:
  `check` in interface `ContextHandler.AliasCheck`
Parameters:
  `path` - The path the aliased resource was created for
  `resource` - The aliased resourced
Returns:
  True if the resource is OK to be served.